Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression
Interface UnaryOperatorExpression<T>

All Superinterfaces:
  javax.persistence.criteria.Expression<T>, javax.persistence.criteria.Selection<T>, Serializable, TupleElement<T>

All Known Implementing Classes:
  IsEmptyPredicate, NullnessPredicate, UnaryArithmeticOperation

    public interface UnaryOperatorExpression<T>

extends javax.persistence.criteria.Expression<T>, Serializable

Contract for operators with a single operand.

Author:
  Steve Ebersole

Method Summary
`javax.persistence.criteria.Expression<?>` | `getOperand()` Get the operand.

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getOperand

    javax.persistence.criteria.Expression<?> getOperand()

  Get the operand.

  Returns:
    The operand.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.